\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Triangulated Surface Mesh Shortest Paths

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Enumerations
CGAL::Surface_mesh_shortest_paths_3 Namespace Reference

Namespace containing support members specific to this package. More...

## Enumerations
enum | Barycentric_coordinate_type { BARYCENTRIC_COORDINATE_INVALID = 0, BARYCENTRIC_COORDINATE_ON_VERTEX, BARYCENTRIC_COORDINATE_ON_BOUNDARY, BARYCENTRIC_COORDINATE_ON_BOUNDED_SIDE, BARYCENTRIC_COORDINATE_ON_UNBOUNDED_SIDE }
| Classification of the location of a 3-tuple barycentric coordinate in a triangle. More...

## Definition

Namespace containing support members specific to this package.

## Enumeration Type Documentation

enum CGAL::Surface_mesh_shortest_paths_3::Barycentric_coordinate_type

Classification of the location of a 3-tuple barycentric coordinate in a triangle.

Enumerator
BARYCENTRIC_COORDINATE_INVALID | If the coordinate is invalid.
BARYCENTRIC_COORDINATE_ON_VERTEX | if the coordinate has exactly one non-zero weight equal to 1, and the rest are zero
BARYCENTRIC_COORDINATE_ON_BOUNDARY | if the coordinate has exactly one zero weight, and the rest sum to 1
BARYCENTRIC_COORDINATE_ON_BOUNDED_SIDE | if the coordinate has no non-zero weight, and they all sum to 1
BARYCENTRIC_COORDINATE_ON_UNBOUNDED_SIDE | if the weights of the coordinate do not sum to 1